SSS_SSH_KNOWNHOSTSPR(1)

NAME
sss_ssh_knownhostsproxy - obtenir les clés d'hôtes OpenSSH

SYNOPSIS

sss_ssh_knownhostsproxy [options] HOST [PROXY_COMMAND]

DESCRIPTION

sss_ssh_knownhostsproxy acquires SSH host public keys for host HOST, stores them in a custom OpenSSH known_hosts file (see the “SSH_KNOWN_HOSTS FILE FORMAT” section of sshd(8) for more information) /var/lib/sss/pubconf/known_hosts and establishes the connection to the host.

Si PROXY_COMMAND est indiqué, elle est alors utilisée pour établier la connexion vers le système au lieu d'ouvrir une socket.

ssh(1) peut être configuré pour utiliser sss_ssh_knownhostsproxy pour l'authentication par clés en utilisant les directives suivantes pour la configuration de ssh(1) :

    ProxyCommand /usr/bin/sss_ssh_knownhostsproxy -p %p %h
    GlobalKnownHostsFile /var/lib/sss/pubconf/known_hosts

OPTIONS

-p,--port PORT
    Utiliser le port PORT pour se connecter au système. Par défaut, le port 22 est utilisé.

-d,--domain DOMAINE
    Rechercher les clés publiques dans le domaine SSSD DOMAINE hôte.

-k,--pubkey
    Print the host ssh public keys for host HOST.

-?,--help
    Affiche l'aide et quitte.

CODE RETOUR

Dans le cas d'un opération achevée avec succès, une valeur de retour de 0 est renvoyée. Dans le cas contraire, 1 est renvoyé.

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/